Rysunek Roboczy: Przytnij

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Trimex and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Trimex.svg Rysunek Roboczy: Przytnij

Lokalizacja w menu
Modyfkacja → Przytnij
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
T R
Wprowadzono w wersji
-
Zobacz także
Part: Wyciągnij

Opis

Narzędzie Draft Trimex.svg Przytnij przycina lub wydłuża Linie i Polilinie tak, że ich koniec znajduje się na przecięciu z inną linią lub krawędzią.


Polecenie Draft Trimex.svg Przytnij przycina lub rozszerza wybrany obiekt. Przecięcia z krawędzią innego obiektu mogą być użyte do określenia nowych punktów końcowych. Polecenie może być również użyte do wyciągnięcia ściany, w którym to przypadku tworzy obiekt wyciągnięcia.

Draft trimex example.jpg

Wyżej: Przedłużony odcinek linii, następnie przycięty odcinek linii. Niżej: Powierzchnia wyciągnięta w bryłę

Przytnij lub rozszerz

Użycie

  1. Opcjonalnie wybierz jeden obiekt. Musi to być obiekt środowiska Rysunek Roboczy Linia, Linia łamana, Łuk lub Okrąg (tylko te mogą być tylko przycinane). Jeśli wybrany obiekt jest zamknięty, musi mieć ustawioną właściwość DANEMake Face na wartość false.
  2. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Trimex.svg Przytnij.
    • Wybierz z menu opcję Modyfikacja → Draft Trimex.svg Przytnij / Wydłuż.
    • Użyj skrótu klawiaturowego: T, a następnie R.
  3. Jeśli nie wybrałeś jeszcze obiektu: wybierz obiekt w oknie widoku 3D.
  4. Otworzy się panel zadań Przytnij / wydłuż. Zobacz akapit Opcje, aby uzyskać więcej informacji.
  5. Przesuń kursor w oknie widoku 3D tak, aby podgląd odpowiadał żądanemu rezultatowi. W razie potrzeby użyj klawiszy modyfikatorów, jak wyjaśniono w punkcie Opcje.
  6. Wykonaj jedną z następujących czynności:
    • Wybierz punkt w oknie widoku 3D
    • Wprowadź Odległość lub Kąt. Odległość jest odległością delta. Ta opcja nie działa, jeśli używane są klawisze modyfikatorów.
    • Przesuń kursor nad krawędź należącą do innego obiektu i kliknij, gdy ta krawędź zostanie podświetlona, aby przyciąć lub wydłużyć wybrany obiekt, używając przecięcia z podświetloną krawędzią jako nowego punktu końcowego. Zauważ, że przyciąganie może mieć tutaj niepożądany wpływ. W niektórych przypadkach może być konieczne tymczasowe wyłączenie tej funkcjonalności.

Opcje

Wspomniane tutaj skróty klawiaturowe mogą być zmienione. Zobacz stronę Rysunek Roboczy: Preferencje.

  • Rozwiązanie o największej długości określa domyślny kierunek polecenia. Przytrzymaj Alt by odwrócić ten kierunek.
  • Przytrzymaj Shift by ograniczyć operację do bieżącego segmentu linii łamanej.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.

Poniżej znajduje się przykład wyjaśniający działanie klawiszy modyfikatorów. Lewa lub dolna krawędź kształtu-U linii łamanej została wysunięta. Wszystkie rodzaje przyciągania zostały wyłączone.

Draft Trimex example2.png

  1. Łuk został kliknięty w pobliżu lewego dolnego rogu linii. Jest to zachowanie domyślne.
  2. Klawisz Alt został przytrzymany, gdy łuk został kliknięty w pobliżu lewego dolnego rogu linii.
  3. Wciśnięto klawisz Y, a po najechaniu na lewą krawędź wciśnięto klawisz Shift i kliknięto na łuk. Naciśnięcie przycisku Y jest wymagane tylko w przypadku krawędzi, które są mniej więcej równoległe do osi Y.

Wyciągnij

Użycie

Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.

  1. Pomocna może być najpierw zmiana Płaszczyzny roboczej rysunku tak, by nie była współliniowa z powierzchnią, którą chcesz wyciągnąć.
  2. Opcjonalnie wybierz pojedynczą ścianę lub obiekt z pojedynczą ścianą.
  3. Istnieje kilka sposobów na wywołanie tego polecenia:
    • Naciśnij przycisk Draft Trimex.svg Przytnij / wydłuż.
    • Wybierz z menu opcję Modifikacja → Draft Trimex.svg Przytnij / wydłuż.
    • Użyj skrótu klawiaturowego: T, a następnie R.
  4. Jeśli nie wybrałeś jeszcze obiektu lub ściany: wybierz obiekt z pojedynczą ścianą w oknie widoku 3D.
  5. Otworzy się panel zadań Przytnij / wydłuż. Zobacz Opcje, aby uzyskać więcej informacji.
  6. Aby zdefiniować kierunek i odległość wyciągania, wykonaj jedną z poniższych czynności:
    • Wybierz punkt w oknie widoku 3D, który nie leży na tej samej płaszczyźnie co ściana.
    • Upewnij się, że kursor znajduje się po właściwej stronie ściany w widoku 3D i wprowadź Odległość.

Opcje

Wspomniane tutaj klawisze modyfikatorów mogą zostać zmienione. Zobacz stronę Rysunek Roboczy: Preferencje.

  • Przytrzymaj klawisz Shift, by uzyskać wyciągnięcie w kierunku, który nie jest równoległy do wektora normalnego ściany.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania odległości: Edycja → Preferencje... → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Dla narzędzia Przytnij nie ma dostępnego interfejsu programistycznego. Do wyciągania obiektów służy metoda extrude modułu Rysunek Roboczy.

extrusion = extrude(obj, vector, solid=False)
  • obj to obiekt, który ma zostać wyciągnięty.
  • vector to kierunek i odległość wyciskania.
  • Jeśli solid ma wartość True, to zamiast powłoki zostanie utworzona bryła.
  • extrusion jest zwracana wraz z utworzonym obiektem.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()